<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
 
$dev_id=$_POST['dev_id'];

$sql=mysqli_query($con, "SELECT * from devolucion where dev_id='$dev_id'");
$row=mysqli_fetch_array($sql);
$art_art_id=$row['art_art_id'];
$dev_art_id=$row['dev_art_id'];
$dev_cantidad=$row['dev_cantidad'];
$dev_x_cantidad=$row['dev_x_cantidad'];
$cantidad_descontar=$dev_cantidad*$dev_x_cantidad;

$dev_precio=$row['dev_precio'];
$kar_id=$row['kar_id'];
$vend_id=$row['detalle_vend_id'];
$ventas_ven_id=$row['ventas_ven_id'];

if($dev_art_id<>null)
{
	$sql2=mysqli_query($con, "SELECT * from ventas where ven_id='$ventas_ven_id'");
	$row2=mysqli_fetch_array($sql2);
	$Cliente_clie_id=$row2['Cliente_clie_id'];
	$ven_puntos=$row2['ven_puntos'];

	$sql3=mysqli_query($con, "SELECT * from cliente where clie_id='$Cliente_clie_id'");
	$row3=mysqli_fetch_array($sql3);
	$clie_nota_credito=$row3['clie_nota_credito'];
	$clie_puntos=$row3['clie_puntos'];

	if ($clie_nota_credito==0) { } else
	{
		$resta=$clie_nota_credito-$dev_precio; 
		$registros=mysqli_query($con,"UPDATE cliente Set clie_nota_credito='$resta' Where clie_id='$Cliente_clie_id'") or die(mysqli_error($con));
	}

	if ($puntos='si') 
	{
		if ($ven_puntos<>NULL) 
		{
			if ($ven_puntos<>0) 
			{ 
				$total_punto=floor($dev_precio/$valor_punto_dinero);
				$puntos_mas=$total_punto+$clie_puntos;
				$registros1=mysqli_query($con,"UPDATE cliente Set clie_puntos='$puntos_mas' Where clie_id='$Cliente_clie_id'") or die(mysqli_error($con));
			} 
		}
	}

	$sql1=mysqli_query($con, "SELECT * from venta_detalle where vend_id='$vend_id'");
	$row1=mysqli_fetch_array($sql1);
	$art_art_id=$row1['art_art_id'];
	$vend_cantidad_dev=$row1['vend_cantidad_dev'];
	$suma_dev=$vend_cantidad_dev+$dev_cantidad;

	$registros=mysqli_query($con,"UPDATE venta_detalle Set vend_cantidad_dev='$suma_dev' Where vend_id='$vend_id'") or die(mysqli_error($con));
	$borrar_sql=mysqli_query($con,"DELETE FROM devolucion WHERE dev_id='$dev_id'") or die(mysqli_error($con));

	

	$sql1ser=mysqli_query($con, "SELECT * from seriales where venta_detalle_ventas_ven_id='$ventas_ven_id'");
	while ($ser=mysqli_fetch_array($sql1ser)) {
	$ser_codigo=$ser['ser_codigo'];
	 

	$actuser=mysqli_query($con,"UPDATE seriales_articulos Set estado='vendido' Where articulos_art_id='$art_art_id' and se_codigo='$ser_codigo' ") or die(mysqli_error($con));
	}
	$actu=mysqli_query($con,"UPDATE seriales Set estado_dev='no' Where venta_detalle_ventas_ven_id='$ventas_ven_id' and venta_detalle_empresa='$empresa' ") or die(mysqli_error($con));


	$can7=mysqli_query($con,"SELECT art_cantidad FROM articulos_has_bodegas WHERE art_id='$art_art_id' and articulos_art_id='$dev_art_id' and bodegas='$bod_id' and empresa='$empresa'") or die(mysqli_error($con));  
	$dato=mysqli_fetch_array($can7);
	$art_cantidad=$dato['art_cantidad'];
	$suma=$art_cantidad-$cantidad_descontar;  

	$registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$suma' Where art_id='$art_art_id' and articulos_art_id='$dev_art_id' and bodegas='$bod_id' and sucursal='$sucursal'") or die(mysqli_error($con));


	//descontar kardex
	if($kar_id<>'0')
    {
		$des2=mysqli_query($con,"SELECT * FROM kardex_compra where kar_id='$kar_id'") or die(mysqli_error($con));  
		$des12=mysqli_fetch_array($des2);
		$kar_cantidad_v=$des12['kar_cantidad_v'];
		$resta_kar=$kar_cantidad_v-$cantidad_descontar;

		$registros=mysqli_query($con,"UPDATE kardex_compra Set kar_cantidad_v='$resta_kar' Where kar_id='$kar_id'") or die(mysqli_error($con));
	}
	else
    {
        $des2=mysqli_query($con,"SELECT * FROM kardex_compra where art_id_bod='$art_art_id' and kar_cantidad_v>0 order by kar_id asc LIMIT 1") or die(mysqli_error($con));  
        $des12=mysqli_fetch_array($des2);
        $kar_cantidad_v=$des12['kar_cantidad_v'];
        $resta_kar=$kar_cantidad_v-$cantidad_descontar;

        $registros=mysqli_query($con,"UPDATE kardex_compra Set kar_cantidad_v='$resta_kar' Where art_id_bod='$art_art_id' and kar_cantidad_v>0  order by kar_id asc LIMIT 1") or die(mysqli_error($con));
    }

	echo '<div class="alert alert-danger alert-dismissable">
	   		<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
	   		<strong>Nota Credito </strong> Borrada correctamente
	   	</div>';                              
}
else
{
	$borrar_sql=mysqli_query($con,"DELETE FROM devolucion WHERE dev_id='$dev_id'") or die(mysqli_error($con));
	echo '<div class="alert alert-danger alert-dismissable">
	   		<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
	   		<strong>Nota Credito </strong> Borrada correctamente
	   	</div>';  
}
//falta las devolver notas credito

?>